Reference

Get recommendations breakdown with pagination

Returns paginated list of all recommendations with actions

GET
/api/v1/recommendations

Authorization

BearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

page?Page

Page number (1-indexed)

page_size?Page Size

Items per page (max 200)

sort_by?Sort By

Field to sort by (recommendation_id, service, environment, monthly_savings, annual_savings, savings_percentage, analysis_period, created_at)

sort_order?Sort Order

Sort order

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/recommendations"
{
  "success": true,
  "timestamp": "2019-08-24T14:15:22Z",
  "data": {
    "items": [
      {
        "recommendation_id": "string",
        "service": "string",
        "environment": "string",
        "analysis_period": "string",
        "monthly_savings": 0,
        "annual_savings": 0,
        "current_spending": 0,
        "savings_percentage": 0,
        "status": "string",
        "display_status": "available",
        "actions": {
          "description": "string",
          "overview": "string",
          "implementation_process": "string",
          "execution_method": "string",
          "key_takeaway": "string",
          "operational_impact": "string"
        },
        "risk_assessment": {
          "property1": null,
          "property2": null
        }
      }
    ],
    "pagination": {
      "total_items": 0,
      "total_pages": 0,
      "current_page": 0,
      "page_size": 0,
      "has_next": true,
      "has_previous": true
    }
  }
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
{
  "success": false,
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  },
  "timestamp": "2019-08-24T14:15:22Z"
}
Ask the FinOps Agent about your cloud spend